# QVM: Quaternions, Vectors, Matrices

### Matrix-to-vector View Proxies

#include <boost/qvm/mat_access.hpp>

    namespace boost
    {
        namespace qvm
        {
            //*** Matrix-to-vector view proxies ***

            //Only enabled if: is_mat<A>::value
            template <int C,class A>
            -unspecified-return-type- col( A & a );

            //Only enabled if: is_mat<A>::value
            template <int C,class A>
            -unspecified-return-type- row( A & a );

            //Only enabled if: is_mat<A>::value
            template <class A>
            -unspecified-return-type- diag( A & a );

            //Only enabled if:
            //  is_mat<A>::value &&
            //  mat_traits<A>::rows==mat_traits<A>::cols && mat_traits<A>::rows>=3
            template <class A>
            -unspecified-return-type- translation( A & a );
        }
    }

See also: Boost QVM | Synopsis